vim.treesitter.start()

-- vim.wo[0][0].foldexpr = 'v:lua.vim.treesitter.foldexpr()'
-- vim.wo[0][0].foldmethod = 'expr'

vim.keymap.set('n', '<leader>tb', ':LspTexlabBuild<CR>',
	{ desc = 'Build using LuaLaTeX'})
vim.keymap.set('n', '<leader>ts', ':LspTexlabForward<CR>',
	{ desc = 'Forward search'})
vim.keymap.set('n', '<leader>tc', ':LspTexlabCancelBuild<CR>',
	{ desc = 'Cancel build'})
vim.keymap.set('n', '<leader>tdr', ':LspTexlabCleanArtifacts<CR>',
	{ desc = 'Clean artifacts'})
vim.keymap.set('n', '<leader>tdx', ':LspTexlabCleanAuxiliary<CR>',
	{ desc = 'Clean auxiliary'})
vim.keymap.set('n', '<leader>tes', ':LspTexlabFindEnvironments<CR>',
	{ desc = 'Find environments'})
vim.keymap.set('n', '<leader>tec', ':LspTexlabChangeEnvironment<CR>',
	{ desc = 'Change environment'})
